﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.Globalization;

public partial class myProfile : System.Web.UI.Page
{
    SqlConnection con = new SqlConnection(@"Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\Database.mdf;Integrated Security=True;User Instance=True");
    SqlCommand cmd = new SqlCommand();
    SqlCommand cmd2 = new SqlCommand();
    PersianCalendar khorshidi = new PersianCalendar();

    public int profileID;

    protected void Page_Load(object sender, EventArgs e)
    {
        //check user is logged in
        chkCookie();

        con.Open();
        getProfileId();
        ChangeTitle();
        SetAvatar();
        SetProfileInfo();

        srcTwitts.SelectParameters.Clear();
        srcTwitts.SelectParameters.Add("profileid", profileID.ToString());
    }
    //********************************************************
    void ChangeTitle()
    {
        cmd.Connection = con;
        cmd.CommandText = "select name from [users] where id = @profileID";
        cmd.Parameters.AddWithValue("@profileID", profileID);
        ltlTitile.Text = cmd.ExecuteScalar().ToString();
        ltlTitile.Text += " - Your Page";
    }
    //********************************************************
    void getProfileId()
    {
        if (Request.QueryString["profileID"] != null)
        {
            profileID = Convert.ToInt32(Request.QueryString["profileID"]);
        }
        else
        {
            cmd.Connection = con;
            cmd.CommandText = "select id from [users] where id=@id";
            cmd.Parameters.AddWithValue("@id", Convert.ToInt32(Request.Cookies["id"].Value));

            profileID = Convert.ToInt32(cmd.ExecuteScalar());
        }
    }
    //********************************************************
    void SetAvatar()
    {
        cmd.Connection = con;
        cmd.CommandText = "select count(*) from [profile] where id = @profileID and avatar like '%.%'";

        if (cmd.ExecuteScalar().ToString() == "1")
        {
            string avatar = "~/users/" + getEmail();
            cmd.CommandText = "select avatar from [profile] where id = @profileID";
            avatar += "/avatar/" + cmd.ExecuteScalar().ToString();

            imgProfileAvatar.ImageUrl = avatar;
        }
        else
        {
            imgProfileAvatar.ImageUrl = "~/img/avatar_bird.jpg";
        }
    }
    //********************************************************
    string getEmail()
    {
        cmd.Connection = con;
        cmd.CommandText = "select email from [users] where id = @profileID";
        return cmd.ExecuteScalar().ToString();
    }
    //********************************************************
    void SetProfileInfo()
    {
        if (chkProfile())
        {
            cmd.Connection = con;

            //set sex
            cmd.CommandText = "select sex from [profile] where id=@profileID";
            if (cmd.ExecuteScalar().ToString() != "")
            {
                if (cmd.ExecuteScalar().ToString() == "True")
                    lblSex.Text = "Man ";
                else
                    lblSex.Text = "Woman ";
            }
            else
            {
                lblSex.Visible = false;
            }

            //set age & birthday
            cmd.CommandText = "select birthday from [profile] where id=@profileID";

            if (cmd.ExecuteScalar().ToString() != "")
            {
                string birth = cmd.ExecuteScalar().ToString();
                string birthYear = birth.Substring(2, 2);

                string datenow = khorshidi.GetYear(DateTime.Now).ToString();
                string yearnow = datenow.Substring(2, 2).ToString();

                int age = Convert.ToInt32(yearnow) - Convert.ToInt32(birthYear);

                lblAge.Text = age.ToString() + " years old ";
                lblBirth.Text = "Born " + cmd.ExecuteScalar().ToString();
            }
            else
            {
                lblAge.Visible = false;
                lblBirth.Visible = false;
            }

            //set M
            cmd.CommandText = "select m from [profile] where id=@profileID";
            if (cmd.ExecuteScalar().ToString() != "")
            {
                if (cmd.ExecuteScalar().ToString() == "True")
                    lblM.Text = "Married ";
                else
                    lblM.Text = "Single ";
            }
            else
            {
                lblM.Visible = false;
            }

            //set country and city
            cmd2.Connection = con;
            cmd.CommandText = "select country from [profile] where id = @profileID";
            cmd2.CommandText = "select city from [profile] where id=@profileID";
            cmd2.Parameters.AddWithValue("@profileID", profileID);

            if (cmd.ExecuteScalar().ToString() != "" && cmd2.ExecuteScalar().ToString() != "")
            {
                lblFrom.Text = "Of " + cmd.ExecuteScalar().ToString() + " ، " + cmd2.ExecuteScalar().ToString();
            }
            else if (cmd.ExecuteScalar().ToString() != "" && cmd2.ExecuteScalar().ToString() == "")
            {
                lblFrom.Text = "Of " + cmd.ExecuteScalar().ToString();
            }
            else if (cmd.ExecuteScalar().ToString() == "" && cmd2.ExecuteScalar().ToString() != "")
            {
                lblFrom.Text = "Of " + cmd2.ExecuteScalar().ToString();
            }
            else
            {
                lblFrom.Visible = false;
            }

            //if user has not profile, show lblEmpty
            if (lblSex.Visible == false && lblM.Visible == false && lblFrom.Visible == false)
            {
                lblAge.Visible = false;
                lblBirth.Visible = false;
                lblEmpty.Visible = true;
            }
            else
            {
                lblEmpty.Visible = false;
            }

            //set about
            cmd.CommandText = "select about from [profile] where id=@profileID";
            if (cmd.ExecuteScalar().ToString() != "")
                lblAbout.Text = cmd.ExecuteScalar().ToString();
        }
    }
    //********************************************************
    bool chkProfile()
    {
        cmd.Connection = con;
        cmd.CommandText = "SELECT COUNT(*) FROM [profile] where id = @profileID";

        if (cmd.ExecuteScalar().ToString() == "1")
            return true;
        else
            return false;
    }
    //********************************************************
    protected void btnDelete_Click(object sender, ImageClickEventArgs e)
    {
        ImageButton button = (ImageButton)sender;
        string id = button.AlternateText;
        srcTwitts.DeleteParameters.Add("deleteID", id);
        srcTwitts.Delete();
    }



    //********************************************************
    void chkCookie()
    {
        try
        {
            if (Request.Cookies["id"].Value == null)
                Response.Redirect("~/page/Default.aspx");
        }
        catch
        {
            Response.Redirect("~/page/Default.aspx");
        }
    }
    protected void Repeater1_ItemCommand(object source, RepeaterCommandEventArgs e)
    {

    }
    protected void srcTwitts_Selecting(object sender, SqlDataSourceSelectingEventArgs e)
    {

    }
}